Results 1 to 6 of 6

Thread: How do you make a program run faster

  1. #1
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default How do you make a program run faster

    This program currently works fine, the problem is, I can zoom out and watch each and every item move one at a time.

    I would like it to run much faster, the drawing it is used on is also attached.
    We use Eagle Point to create our cross section sheets and they have a bug in their latest patch, so I need a temporary fix until they fix their screw up.

    Code:
    	(defun c:xs (/ xsinfo xsobj)
    	  (setq xsinfo
    	  (ssget
    		"_X"
    		(list (cons 8 "DESIGNEARTHWORK,CL_ELEVATIONS,SLOPES,CL_ORIG_ELEV,STATIONS,DES_SUBBASE,DES_AGGBASE,DES_RUBBLIZED,DES_BASE,DES_LEVELING,DES_SHOULDER,ORIG_SURFACE,DES_WEARING,ANN_ELEV_OFF")
      )
    	  )
    	  )
    	  (while (setq xsobj (ssname xsinfo 0))
     (command "move" xsobj "" <A href="mailto:"0,0" "@0.4777,0.4074">"0,0" "@0.4777,0.4074")
     (ssdel xsobj xsinfo)
    	  )	 ;end while
    	)	 ;end defun
    Attached Files Attached Files

  2. #2
    AUGI Addict
    Join Date
    2005-08
    Posts
    1,043
    Login to Give a bone
    0

    Default Re: How do you make a program run faster

    Are you stepping through the selection set, and moving each item one at a time? and doing it all the same distance? If so, just move the selection set. Other than that, I don't know of a way off hand.

  3. #3
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default Re: How do you make a program run faster

    you are right, I was over complicating what I need to be done, I have been working on several programs that contain a bunch of steps that need to be completed for each item selected, this program, however, is a global move.

    problem solved, thanks

  4. #4
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default Re: How do you make a program run faster

    is there a way to make this program fire right after another command is run? I would like it to automatically run after the update sheets command has been fired from Eagle Point.

    If not, no big deal it is only 3 key strokes

  5. #5
    AUGI Addict
    Join Date
    2005-08
    Posts
    1,043
    Login to Give a bone
    0

    Default Re: How do you make a program run faster

    I don't know how Eagle point works. But for lisp files to run right after each other, you could make a third one, and then call both for there.

    Code:
    (defun c:Test1 ()
    
    (prompt "\nThis is the first lisp.")
    )
    (defun c:Test2()
    (prompt "\nThis is the SECOND lisp.")
    )
    (defun c:Test3()
    (c:Test1)
    (c:Test2)
    )

  6. #6
    AUGI Addict kennet.sjoberg's Avatar
    Join Date
    2002-05
    Posts
    1,707
    Login to Give a bone
    0

    Default Re: How do you make a program run faster

    Quote Originally Posted by ccowgill
    is there a way to make this program fire right after another command is run? I would like it to automatically run after the update sheets command has been fired from Eagle Point. . .
    I suppose you can use a vlr-command-reactor that fire your code after Eagle Points command.

    : ) Happy Computing !

    kennet

Similar Threads

  1. Less gadgets, Make AutoCAD simpler and faster
    By Wish List System in forum AutoCAD Wish List
    Replies: 4
    Last Post: 2011-11-23, 07:17 PM
  2. Make sheet sets print faster?
    By BSHAW.160367 in forum AutoCAD Sheet Set Manager
    Replies: 2
    Last Post: 2008-04-21, 08:24 PM
  3. How to make the plot sheets open faster?
    By akramramadan in forum ACA General
    Replies: 1
    Last Post: 2006-12-04, 04:10 PM
  4. Make Autocad start up a little faster.
    By Glenn Pope in forum AutoCAD Tips & Tricks
    Replies: 13
    Last Post: 2006-06-07, 12:32 PM
  5. How do I make revit faster?
    By woethesinner in forum Revit Architecture - General
    Replies: 8
    Last Post: 2004-06-30, 08:42 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •